AuthKeyspace (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.auth

## Class AuthKeyspace

- java.lang.Object
- - org.apache.cassandra.auth.AuthKeyspace

-     public class AuthKeyspace
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME`
    `static java.lang.String` | `RESOURCE_ROLE_INDEX`
    `static java.lang.String` | `ROLE_MEMBERS`
    `static java.lang.String` | `ROLE_PERMISSIONS`
    `static java.lang.String` | `ROLES`
    `static long` | `SUPERUSER_SETUP_DELAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthKeyspace()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KSMetaData` | `definition()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

    - #### ROLES

          public static final java.lang.String ROLES

      See Also:
        Constant Field Values

    - #### ROLE_MEMBERS

          public static final java.lang.String ROLE_MEMBERS

      See Also:
        Constant Field Values

    - #### ROLE_PERMISSIONS

          public static final java.lang.String ROLE_PERMISSIONS

      See Also:
        Constant Field Values

    - #### RESOURCE_ROLE_INDEX

          public static final java.lang.String RESOURCE_ROLE_INDEX

      See Also:
        Constant Field Values

    - #### SUPERUSER_SETUP_DELAY

          public static final long SUPERUSER_SETUP_DELAY

  - ### Constructor Detail

    - #### AuthKeyspace

          public AuthKeyspace()

  - ### Method Detail

    - #### definition

          public static KSMetaData definition()

Copyright © 2018 The Apache Software Foundation